Subject: Re: bash problem. (Am I missing something?)
From: [email-masked] (Earnie Boyd)

3 Dec 1997 15:09:33 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

I suspect that you haven't changed your mounts to text=binary.  To do 
this:

bash% cd /gnuwin32/b18/H-i386-cygwin32/bin
bash% ./umount /
bash% mount -b c:\\ /

You need to umount and mount -b all directories in mount.  After you 
have done this then you need to remove all \r (^M) from your script 
files especially the bash startup files.  To do this carefully use the 
following (don't do this on a true binary file):

bash% cp ./scriptfile /tmp/scriptfile
bash% tr -d "\r" < /tmp/scriptfile > ./scriptfile

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

PS: for further information check the mail archives at
http://www.cygnus.com/ml/gnu-win32

>From: "Buckingham,Mark,SOLON,NUSA" <[email-masked]>
>To: "[email-masked]" <[email-masked]>
>Subject: bash problem.  (Am I missing something?)
>Date: Tue, 2 Dec 1997 05:35:57 -0800
>
>I downloaded the coolview patch, and have run into a strange problem 
>with bash:
>
>let's say I have a file called test.sh:
>------------------------------
>#!/bin/sh
>
>export TESTVAR=1
>------------------------------
>
>If I try to run it, (after chmod-ing and all that...)
>
>like this:
>
>sh-2.01$ . ./test.sh
>
>I get this error:
>
>sh: ./test.sh: error 0
>
>And the TESTVAR variable isn't defined.  Can anyone tell me what I'm 
>doing wrong?
>
>Thanks.
>
>
>
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".